Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.net.mrtmp
Interface IMRTMPOriginManager

All Superinterfaces:
  IMRTMPManager

All Known Implementing Classes:
  SimpleMRTMPOriginManager

    public interface IMRTMPOriginManager

extends IMRTMPManager

Author:
  Steven Gong (steven.gong@gmail.com)

Method Summary
`void` | `associate(RTMPConnection rtmpConn, IMRTMPConnection mrtmpConn)` Associate the client to a MRTMP connection so that the packet will be sent via this MRTMP connection.
`void` | `dissociate(RTMPConnection rtmpConn)` Deassociate the client from the MRTMP connection previously associated to.

Methods inherited from interface org.red5.server.net.mrtmp.IMRTMPManager
`lookupMRTMPConnection, registerConnection, unregisterConnection`

Method Detail

### associate

    void associate(RTMPConnection rtmpConn,
                   IMRTMPConnection mrtmpConn)

  Associate the client to a MRTMP connection so that the packet will be sent via this MRTMP connection. The association has different impacts on persistent and polling connections. For persistent connection, the mapping is static while for polling connection, the mapping is dynamic and might not be honored.

  Parameters:
    `rtmpConn` - rtmp connection
    `mrtmpConn` - mrtmp connection

### dissociate

    void dissociate(RTMPConnection rtmpConn)

  Deassociate the client from the MRTMP connection previously associated to.

  Parameters:
    `rtmpConn` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project